linux-mips
[Top] [All Lists]

Re: Same mipsel binary für 2.4 and 2.6 kernel possible?

To: Klatt Uwe <U.Klatt@miwe.de>
Subject: Re: Same mipsel binary für 2.4 and 2.6 kernel possible?
From: Ralf Baechle <ralf@linux-mips.org>
Date: Fri, 19 Sep 2008 12:34:33 +0200
Cc: "'linux-mips@linux-mips.org'" <linux-mips@linux-mips.org>
In-reply-to: <A1F06CF959C7E14EAC28F277F368175805686A8D6D@MAS15.arnstein.miwe.de>
Original-recipient: rfc822;linux-mips@linux-mips.org
References: <A1F06CF959C7E14EAC28F277F368175805686A8D6D@MAS15.arnstein.miwe.de>
Sender: linux-mips-bounce@linux-mips.org
User-agent: Mutt/1.5.18 (2008-05-17)
On Fri, Sep 19, 2008 at 09:58:29AM +0200, Klatt Uwe wrote:

> I have a custom hardware (AU1100) with kernel 2.4 and an working binary using 
> floats (compiled with gcc 3.3.5).
> Now I am testing with kernel 2.6.
> 
> When I use the old binary, float math isn't working anymore.
> I have to recompile the source with new gcc 4.1.2 but then the new binary is 
> working only on kernel 2.6.

Are you using the kernel floating point emulator or a software floating
point library?

Whatever, it sounds like a bug.  The kernel is supposed to be backward
compatible with old binaries.

  Ralf

<Prev in Thread] Current Thread [Next in Thread>